﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.ServiceModel;

namespace HeuristicLab.Services.UserManagement {
  [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
  public class UserManagementService : IUserManagementService {

    #region IUserManagementService Members

    public System.Collections.Generic.IEnumerable<DataTransfer.User> GetUsers(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.User AddUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void DeleteUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void UpdateUser(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void AddUserToRole(DataTransfer.Role role, DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public void RemoveUserFromRole(DataTransfer.Role role, DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public bool IsUserInRole(DataTransfer.User user, DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.User ResetPassword(string applicationName, string userName, string password) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Role> GetRoles(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.Role AddRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public void UpdateRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public void DeleteRole(DataTransfer.Role role) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Role> GetUserRoles(DataTransfer.User user) {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.Application> GetApplications() {
      throw new System.NotImplementedException();
    }

    public System.Collections.Generic.IEnumerable<DataTransfer.User> GetApplicationUsers(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public DataTransfer.Application AddApplication(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public void UpdateApplication(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public void DeleteApplication(DataTransfer.Application application) {
      throw new System.NotImplementedException();
    }

    public bool CheckUserExists(string application, string userName, string password) {
      throw new System.NotImplementedException();
    }

    public bool GetUser(string application, string userName, string password) {
      throw new System.NotImplementedException();
    }

    #endregion
  }
}
